/* START KEYPOINTS */

/* List background color: white */
.section-keypoints.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.section-keypoints.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.section-keypoints.dark-grey {
    background-color: var(--background-list-dark-grey);
}

.keypoints {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 40px;
    padding: 20px 32px 120px;
    max-width: 1316px;
    margin: auto;
}

/* Title description row */
.keypoints .title-description-row {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 24px;
    max-width: 1008px;
}

.keypoints .title-description-row .list-title {
    width: 100%;
    font-size: var(--text-l);
    font-family: var(--font-frutiger-bold);
    line-height: 31px;
    letter-spacing: 1px;
    text-align: center;
}

.keypoints .title-description-row .list-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.keypoints .title-description-row .list-description {
    font-size: var(--text-s);
    color: var(--color-text-grey);
    text-align: center;
    line-height: 24px;
    letter-spacing: 0.5px;
}

/* List */
.keypoints .list {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 32px;
}

/* Card */
.keypoints .list .keypoints-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: calc(33.33% - 32px * 2 / 3);
    min-height: fit-content;
    gap: 15px;
}

/* Upper div */
.keypoints .list .keypoints-card .upper-div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.keypoints .list .keypoints-card .upper-div .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
}

.keypoints .list .keypoints-card .upper-div .icon picture {
    width: 100%;
    height: 100%;
}

.keypoints .list .keypoints-card .upper-div .icon img {
    width: 100%;
    object-fit: contain;
    height: 100%;
}

/* Lower div */
.keypoints .list .keypoints-card .lower-div {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 10px;
}

.keypoints .list .keypoints-card .lower-div .title-card {
    width: 100%;
    text-align: center;
}

.keypoints .list .keypoints-card .lower-div .title-card h3 {
    font-size: var(--text-xxm);
    color: #000000;
    line-height: 22px;
    font-family: var(--font-frutiger-bold);
}

.keypoints .list .keypoints-card .lower-div .description-card {
    font-size: var(--text-s);
    color: var(--color-text-grey);
    text-align: center;
    line-height: 24px;
    letter-spacing: 0.5px;
}
/* END KEYPOINTS */


/* START MEDIA QUERY */

/* Tablet */
@media (max-width: 767px) {
    /* Title description row */
    .keypoints .title-description-row .list-description {
        width: 100%;
    }

    /* List */
    .keypoints .list {
        gap: 16px;
    }

    /* Card */
    .keypoints .list .keypoints-card .upper-div .icon {
        width: 77px;
        height: 77px;
    }
    /* Lower div */
    .keypoints .list .keypoints-card .lower-div .title-card h3 {
        font-size: var(--text-m);
    }
}

/* Mobile - 620 not 375 */
@media (max-width: 620px) {
    .keypoints {
        gap: 60px;
    }

    /* List */
    .keypoints .list {
        flex-direction: column;
        justify-content: start;
        align-items: start;
        width: 100%;
        gap: 32px;
    }

    /* Card */
    .keypoints .list .keypoints-card {
        flex-direction: row;
        justify-content: start;
        width: 100%;
    }

    /* Lower div */
    .keypoints .list .keypoints-card .lower-div {
        justify-content: start;
        align-items: start;
    }
    .keypoints .list .keypoints-card .lower-div .title-card {
        text-align: start;
    }
    .keypoints .list .keypoints-card .lower-div .description-card {
        text-align: start;
    }
    .keypoints .list .keypoints-card .lower-div .description-card p {
        text-align: start;
    }
}

@media (max-width: 576px) {
    .keypoints .title-description-row .list-title {
        font-size: var(--text-xxxxm);
    }

    .keypoints {
        padding: 36px 16px 72px;
    }
}
/* END MEDIA QUERY */